import request from '@/utils/request';

/*
 * 分页查询
 */
export const getTaCheckAnswer = (params) => request('/api/taCheckAnswer', { params });

export const getTaCheckAnswerDetail = (params) => request(`/api/taCheckAnswer/${params.answerId}/detail`, { params });

/*
 * 新增数据
 */
export const postTaCheckAnswer = (data) => request('/api/taCheckAnswer', { data, method: 'post' });

/*
 * 通过ID查询单条数据
 */
export const getTaCheckAnswerById = (id) => request(`/api/taCheckAnswer/${id}`);

/*
 * 更新数据
 */
export const putTaCheckAnswer = (id, data) => request(`/api/taCheckAnswer/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteTaCheckAnswer = (id) => request(`/api/taCheckAnswer/${id}`, { method: 'delete' });

/*
 * 分页查询
 */
export const exportTaCheckAnswerDetail = (params) => request(`/api/taCheckAnswer/${params.answerId}/detail/export`, { params, download: true });
